### Class

# WebKit2WebExtension DOMEvent

#### Description

    class WebKit2WebExtension.DOMEvent : WebKit2WebExtension.DOMObject
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WebKitDOMObject
- GObject

#### Descendants

- WebKitDOMUIEvent

#### Instance methods

###### webkit_dom_event_get_bubbles

No description available.

deprecated: 2.22

###### webkit_dom_event_get_cancel_bubble

No description available.

deprecated: 2.22

###### webkit_dom_event_get_cancelable

No description available.

deprecated: 2.22

###### webkit_dom_event_get_current_target

No description available.

deprecated: 2.22

###### webkit_dom_event_get_event_phase

No description available.

deprecated: 2.22

###### webkit_dom_event_get_event_type

No description available.

deprecated: 2.22

###### webkit_dom_event_get_return_value

No description available.

deprecated: 2.22

###### webkit_dom_event_get_src_element

No description available.

deprecated: 2.22

###### webkit_dom_event_get_target

No description available.

deprecated: 2.22

###### webkit_dom_event_get_time_stamp

No description available.

deprecated: 2.22

###### webkit_dom_event_init_event

No description available.

deprecated: 2.22

###### webkit_dom_event_prevent_default

No description available.

deprecated: 2.22

###### webkit_dom_event_set_cancel_bubble

No description available.

deprecated: 2.22

###### webkit_dom_event_set_return_value

No description available.

deprecated: 2.22

###### webkit_dom_event_stop_propagation

No description available.

deprecated: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMEvent:bubbles

No description available.

###### WebKit2WebExtension.DOMEvent:cancel-bubble

No description available.

###### WebKit2WebExtension.DOMEvent:cancelable

No description available.

###### WebKit2WebExtension.DOMEvent:current-target

No description available.

###### WebKit2WebExtension.DOMEvent:event-phase

No description available.

###### WebKit2WebExtension.DOMEvent:return-value

No description available.

###### WebKit2WebExtension.DOMEvent:src-element

No description available.

###### WebKit2WebExtension.DOMEvent:target

No description available.

###### WebKit2WebExtension.DOMEvent:time-stamp

No description available.

###### WebKit2WebExtension.DOMEvent:type

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMEventClass {
      WebKitDOMObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMObjectClass`

  No description available.